Loading...
Searching...
No Matches
WGPUTextureDataLayout Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
uint64_t | offset
uint32_t | bytesPerRow
uint32_t | rowsPerImage

## Detailed Description

Definition at line 1733 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPUTextureDataLayout::nextInChain

Definition at line 1734 of file mini_webgpu.h.

## offset

uint64_t WGPUTextureDataLayout::offset

Definition at line 1735 of file mini_webgpu.h.

## bytesPerRow

uint32_t WGPUTextureDataLayout::bytesPerRow

Definition at line 1736 of file mini_webgpu.h.

## rowsPerImage

uint32_t WGPUTextureDataLayout::rowsPerImage

Definition at line 1737 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h